Bug 163707 - [67cat] java.lang.ArrayIndexOutOfBoundsException when removing multiple rows
[67cat] java.lang.ArrayIndexOutOfBoundsException when removing multiple rows
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
PC Windows Vista
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 07:03 UTC by rajivderas
Modified: 2009-09-03 18:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
ide log file (105.96 KB, text/plain)
2009-04-27 07:03 UTC, rajivderas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rajivderas 2009-04-27 07:03:07 UTC
using Dev (Build 200904261401)
1) connect to the sample derby database
2) perform a select statement to one of the tables
3) right click on the sql query results dialog and select insert record
3) in the insert record dialog click the add row button 5 or 6 times to add 5 or 6 rows
4) then click show sql button which will show an error message and just sort any column 
5) then select all the added rows by using CTRL + A and then click the remove button to remove the added coloumns
6) when you press the remove button for first time it will not remove the rose then in the second attempt also this 
happened and in the third attempt it will throw a java.lang.ArrayIndexOutOfBoundsException: 0 >= 0 exception

see the attached log file
Comment 1 rajivderas 2009-04-27 07:03:41 UTC
Created attachment 80948 [details]
ide log file
Comment 2 Jiri Rechtacek 2009-07-01 07:44:10 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 3 Jiri Rechtacek 2009-08-21 16:54:12 UTC
I can reproduce the bug in NetBeans IDE Dev (Build 090820).
Comment 4 Jiri Rechtacek 2009-09-02 12:28:12 UTC
core-main/rev/3f43176bd202
Comment 5 Quality Engineering 2009-09-03 18:13:03 UTC
Integrated into 'main-golden', will be available in build *200909030951* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3f43176bd202
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #163707: [67cat] java.lang.ArrayIndexOutOfBoundsException when removing multiple rows


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo